import React, { useEffect, useState } from 'react';
import { storiesOf } from '@storybook/react';
import { Modal } from '.';
import { CloseBtn } from '../CloseBtn';

storiesOf('Components/Modal', module).add('default', () => {
   const [show, setShow] = useState(false);
   return (
      <>
         <Modal
            show={show}
            onHide={() => {
               console.log('sdsd');
            }}
         >
            <Modal.Body className="p-4">
               <CloseBtn onClick={() => setShow(false)} />
               <div className="p-4">Modal1</div>
            </Modal.Body>
         </Modal>
      </>
   );
});
